# first line: 29
@memory.cache  # persistent memoïzation
def query(q: str) -> list[tuple]:
    """Execute a given query and reture the result in a python list[tuple]."""
    if VERBOSE: print(f'sending query : {q}')
    res = CUR.execute(str(q))
    if VERBOSE: print("got response", res)
    return res.fetchall()
